# SourcePath: glib/20130708dev
Summary: A library of handy utility functions.
Name: sony-target-dev-glib
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
Version: 2.32.4
Release: 08010002
URL: http://www.gtk.org/
Source: glib-%{version}.tar.bz2
Patch1: glib-%{version}_gettimeofday_time_hook.patch
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext
Requires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext


%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package -n %{pkgname}
Summary: A library of handy utility functions.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%prep
%setup -q -n glib-%{version}
%if "%{sony_target_dialect}" == "thumb2"
%patch1 -p1
%endif

%build
%sony_target_dev_setup
export glib_cv_stack_grows=no
export glib_cv_uscore=no
export ac_cv_func_posix_getpwuid_r=yes
export ac_cv_func_posix_getgrgid_r=yes

sed -i '1 s/^.*$/#!\/usr\/bin\/env python/g' gio/gdbus-2.0/codegen/gdbus-codegen.in

%sony_target_dev_configure PYTHON=python2.6 

make | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

sed -i '1 s/^.*$/#!\/usr\/bin\/env python/g' %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester-report

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/glib-2.0
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/locale

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus
%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus-codegen
%{sony_target_dir}%{sony_target_dev_bin_dir}/gio-querymodules
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-resources
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-schemas
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-genmarshal
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-gettextize
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-mkenums
%{sony_target_dir}%{sony_target_dev_bin_dir}/gobject-query
%{sony_target_dir}%{sony_target_dev_bin_dir}/gresource
%{sony_target_dir}%{sony_target_dev_bin_dir}/gsettings
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester-report

%{sony_target_dir}%{sony_target_dev_include_dir}/gio-unix-2.0
%{sony_target_dir}%{sony_target_dev_include_dir}/glib-2.0

%{sony_target_dir}%{sony_target_dev_lib_dir}/glib-2.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0.3200.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0.3200.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0.3200.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0.3200.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0.3200.4
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-unix-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/glib-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-no-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gobject-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gthread-2.0.pc

#%{sony_target_dir}%{sony_target_dev_prefix}/etc/bash_completion.d/*
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gdbus-2.0/codegen/*

%changelog
* Thu Jul 25 2013 Sony Corporation
- Fix Python path and environment issue

* Mon Jul 08 2013 Sony Corporation
- glib version up 2.32.0 -> 2.32.4

* Wed Jun 20 2012 Sony Corporation
- Removed elf supported patch for 2.32.0

* Wed May 30 2012 Sony Corporation
- Added elf supported patch for 2.32.0

* Thu May 10 2012 Sony Corporation
- glib-2.32.0 version up
- Added gettimeofday and time hook function for 2.32.0

* Mon Nov 07 2011 Sony Corporation 
- Added gettimeofday and time hook function

* Thu Oct 10 2010 Sony Corporation
- glib-2.24.2 version up

* Mon Apr 05 2010 Sony Corporation
- glib-2.22.5 version up

* Wed Aug 13 2008 Sony Corporation
-  Fix License 

* Tue Jun 17 2008 Sony Corporation
- Initial build
